--- !ruby/object:Gem::Specification
name: ruby_parser
version: !ruby/object:Gem::Version
  version: 3.6.2
platform: ruby
authors:
- Ryan Davis
autorequire: 
bindir: bin
cert_chain:
- |
  -----BEGIN CERTIFICATE-----
  MIIDPjCCAiagAwIBAgIBATANBgkqhkiG9w0BAQUFADBFMRMwEQYDVQQDDApyeWFu
  ZC1ydWJ5MRkwFwYKCZImiZPyLGQBGRYJemVuc3BpZGVyMRMwEQYKCZImiZPyLGQB
  GRYDY29tMB4XDTEzMDkxNjIzMDQxMloXDTE0MDkxNjIzMDQxMlowRTETMBEGA1UE
  AwwKcnlhbmQtcnVieTEZMBcGCgmSJomT8ixkARkWCXplbnNwaWRlcjETMBEGCgmS
  JomT8ixkARkWA2NvbTCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBALda
  b9DCgK+627gPJkB6XfjZ1itoOQvpqH1EXScSaba9/S2VF22VYQbXU1xQXL/WzCkx
  taCPaLmfYIaFcHHCSY4hYDJijRQkLxPeB3xbOfzfLoBDbjvx5JxgJxUjmGa7xhcT
  oOvjtt5P8+GSK9zLzxQP0gVLS/D0FmoE44XuDr3iQkVS2ujU5zZL84mMNqNB1znh
  GiadM9GHRaDiaxuX0cIUBj19T01mVE2iymf9I6bEsiayK/n6QujtyCbTWsAS9Rqt
  qhtV7HJxNKuPj/JFH0D2cswvzznE/a5FOYO68g+YCuFi5L8wZuuM8zzdwjrWHqSV
  gBEfoTEGr7Zii72cx+sCAwEAAaM5MDcwCQYDVR0TBAIwADALBgNVHQ8EBAMCBLAw
  HQYDVR0OBBYEFEfFe9md/r/tj/Wmwpy+MI8d9k/hMA0GCSqGSIb3DQEBBQUAA4IB
  AQCFZ7JTzoy1gcG4d8A6dmOJy7ygtO5MFpRIz8HuKCF5566nOvpy7aHhDDzFmQuu
  FX3zDU6ghx5cQIueDhf2SGOncyBmmJRRYawm3wI0o1MeN6LZJ/3cRaOTjSFy6+S6
  zqDmHBp8fVA2TGJtO0BLNkbGVrBJjh0UPmSoGzWlRhEVnYC33TpDAbNA+u39UrQI
  ynwhNN7YbnmSR7+JU2cUjBFv2iPBO+TGuWC+9L2zn3NHjuc6tnmSYipA9y8Hv+As
  Y4evBVezr3SjXz08vPqRO5YRdO3zfeMT8gBjRqZjWJGMZ2lD4XNfrs7eky74CyZw
  xx3n58i0lQkBE1EpKE0lFu/y
  -----END CERTIFICATE-----
date: 2014-07-18 00:00:00.000000000 Z
dependencies:
- !ruby/object:Gem::Dependency
  name: sexp_processor
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '4.1'
  type: :runtime
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '4.1'
- !ruby/object:Gem::Dependency
  name: minitest
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '5.4'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '5.4'
- !ruby/object:Gem::Dependency
  name: rdoc
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '4.0'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '4.0'
- !ruby/object:Gem::Dependency
  name: racc
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 1.4.6
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: 1.4.6
- !ruby/object:Gem::Dependency
  name: rake
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - <
      - !ruby/object:Gem::Version
        version: '11'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - <
      - !ruby/object:Gem::Version
        version: '11'
- !ruby/object:Gem::Dependency
  name: oedipus_lex
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '2.1'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '2.1'
- !ruby/object:Gem::Dependency
  name: hoe
  requirement: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '3.12'
  type: :development
  prerelease: false
  version_requirements: !ruby/object:Gem::Requirement
    requirements:
    - - ~>
      - !ruby/object:Gem::Version
        version: '3.12'
description: |-
  ruby_parser (RP) is a ruby parser written in pure ruby (utilizing
  racc--which does by default use a C extension). RP's output is
  the same as ParseTree's output: s-expressions using ruby's arrays and
  base types.

  As an example:

      def conditional1 arg1
        return 1 if arg1 == 0
        return 0
      end

  becomes:

      s(:defn, :conditional1, s(:args, :arg1),
        s(:if,
          s(:call, s(:lvar, :arg1), :==, s(:lit, 0)),
          s(:return, s(:lit, 1)),
          nil),
        s(:return, s(:lit, 0)))

  Tested against 801,039 files from the latest of all rubygems (as of 2013-05):

  * 1.8 parser is at 99.9739% accuracy, 3.651 sigma
  * 1.9 parser is at 99.9940% accuracy, 4.013 sigma
  * 2.0 parser is at 99.9939% accuracy, 4.008 sigma
email:
- ryand-ruby@zenspider.com
executables:
- ruby_parse
- ruby_parse_extract_error
extensions: []
extra_rdoc_files:
- History.txt
- Manifest.txt
- README.txt
files:
- .autotest
- .gemtest
- History.txt
- Manifest.txt
- README.txt
- Rakefile
- bin/ruby_parse
- bin/ruby_parse_extract_error
- lib/.document
- lib/ruby18_parser.rb
- lib/ruby18_parser.y
- lib/ruby19_parser.rb
- lib/ruby19_parser.y
- lib/ruby20_parser.rb
- lib/ruby20_parser.y
- lib/ruby21_parser.rb
- lib/ruby21_parser.y
- lib/ruby_lexer.rb
- lib/ruby_lexer.rex
- lib/ruby_lexer.rex.rb
- lib/ruby_parser.rb
- lib/ruby_parser_extras.rb
- test/test_ruby_lexer.rb
- test/test_ruby_parser.rb
- test/test_ruby_parser_extras.rb
homepage: https://github.com/seattlerb/ruby_parser
licenses:
- MIT
metadata: {}
post_install_message: 
rdoc_options:
- --main
- README.txt
require_paths:
- lib
required_ruby_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '0'
required_rubygems_version: !ruby/object:Gem::Requirement
  requirements:
  - - '>='
    - !ruby/object:Gem::Version
      version: '0'
requirements: []
rubyforge_project: 
rubygems_version: 2.2.1
signing_key: 
specification_version: 4
summary: ruby_parser (RP) is a ruby parser written in pure ruby (utilizing racc--which
  does by default use a C extension)
test_files:
- test/test_ruby_lexer.rb
- test/test_ruby_parser.rb
- test/test_ruby_parser_extras.rb
